Clara-Backend
  1. Agent
Clara-Backend
  • Clara-Backend
    • Get Started
    • Quickstart (Rest API)
    • Quickstart (MCP Server)
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • API Key
      • View
      • Reset
    • Transaction
      • View All
      • View
    • Task
      • View All
      • View
    • Agent
      • Supported Attachments
        GET
      • Analysis
        POST
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  • Flask Backend Boilerplate
    • Get Started
    • Quickstart
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • Transaction
      • View All
      • View
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  1. Agent

Supported Attachments

Prod Env
https://backend.crazi.co/api/v1
Prod Env
https://backend.crazi.co/api/v1
GET
https://backend.crazi.co/api/v1
/users/{user_id}/agent/supported_attachments
This endpoint lets a user check the supported attachments on Clara's agent.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://backend.crazi.co/api/v1/users/user_ac19b010fec5428a8ae131596731b7c8/agent/supported_attachments' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
  "data": {
    "audio": [
      ".mp4",
      ".mov",
      ".avi",
      ".mkv",
      ".mpeg"
    ],
    "image": [
      ".jpeg",
      ".jpg",
      ".png",
      ".webp",
      ".heic"
    ],
    "pdf": [
      ".pdf"
    ],
    "video": [
      ".mp3",
      ".wav",
      ".m4a",
      ".ogg",
      ".aac"
    ]
  },
  "message": "Supported attachments fetched successfully.",
  "status": "success"
}
Modified at 2025-11-29 03:31:24
Previous
Agent
Next
Analysis
Built with